#include <iostream>
using namespace std;
#include "intvector.h"

intvector::intvector()
{
	size = 5;
	data = new int[5];
	int i;
	for( i = 0; i < size; i++ )
	   data[i] = 0;
}

intvector::intvector(int s)
{
	size = s;
	data = new int[s];
	int i;
	for( i = 0; i < size; i++ )
	   data[i] = 0;
}

intvector::~intvector()
{
	cout << "destructor" << endl;
	delete [] data;
}

intvector::intvector(const intvector& c)
{
	cout << "copy constructor" << endl;
	size = c.size;
	data = new int[size];
	for(int i = 0; i < size; i++)
		data[i] = c.data[i];
}

intvector&
intvector::operator=(const intvector& c)
{
	// still incomplete--need to guard against self-assignment
	cout << "assignment" << endl;
	delete [] data;
	size = c.size;
	data = new int[size];
	for(int i = 0; i < size; i++)
		data[i] = c.data[i];
	return *this;
}

void intvector::setval(int index, int val)
{
     data[index] = val;
}

int intvector::getval(int index)
{
    return data[index];
}

void intvector::print()
{
   	int i;
	for( i = 0; i < size; i++ )
	   cout << " " << data[i];
    cout << endl;
}

